Bug 85285 - FILEOPEN: Open docs only in Normal View or Page Break Preview and not in Print Preview to avoid 'No Data' on screen
Summary: FILEOPEN: Open docs only in Normal View or Page Break Preview and not in Prin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 96738 (view as bug list)
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2014-10-21 11:50 UTC by Pascal Dornier
Modified: 2021-12-03 04:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
borked sample file (11.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-25 14:28 UTC, Pascal Dornier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Dornier 2014-10-21 11:50:37 UTC
To duplicate:

open a spreadsheet, open print preview, forcefully terminate the program

then reopen the spreadsheet

it will show "no data" in the print preview

Very bewildering to the user, did he just lose his data ? Just go back to normal spreadsheet view when opened.
Comment 1 A (Andy) 2014-10-24 20:30:51 UTC
for me not reproducible with LO 4.3.2.2 (Win 8.1)

Steps I had done:
1. Open a new spreadsheet in CALC
2. Write any text in cell A1
3. Go to FILE -> PRINT
-> Preview is shown in the small window on the left.
4. Under Windows force to close LO with the Task Manager
5. Start LO and recover the file
6. Go to FILE -> PRINT
-> Preview is shown as in step 3

@Pascal: Is this what you had done or please correct it and provide more information how to reproduce it?  Thank you very much in advance.
Comment 2 Pascal Dornier 2014-10-25 14:28:50 UTC
Created attachment 108395 [details]
borked sample file

The attached file will open in print preview mode with "No data". The content is only visible once you close the preview. 

To recreate it:

enter a cell
page preview
save a copy (AUTO FILE EXTENSION DOESN'T WORK HERE ??? that is another wonderful way of losing or at least "hiding" user data)
while in preview, exit is greyed out (another bad practice in my opinion)
terminate the program (Windows X button, task manager not needed)
reopen document

Best regards,

Pascal Dornier
Comment 3 A (Andy) 2014-10-25 15:30:39 UTC
Thanks for your very fast reply and clarification.  Now I can retrace it.
Reproducible with LO 4.3.2.2 (Win 8.1).
Comment 4 Hb 2015-12-27 20:17:48 UTC
*** Bug 96738 has been marked as a duplicate of this bug. ***
Comment 5 Hb 2015-12-27 20:32:49 UTC
To reproduce:

1. Go into Print Preview mode 
2. Click Save All
3. Close LibreOffice
4. Reopen the saved file

This error happens with commonly saved documents and with restored documents. No crash is needed to create this error.

See sample screenshot in duplicate bug 96738.  Under Linux the "No Data" text is not shown.  Users only see an empty gray area.
Comment 6 QA Administrators 2017-01-03 19:55:11 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:23:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2021-12-03 04:32:47 UTC
Dear Pascal Dornier,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug